<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensoractuator::VrpnClient Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_vrpn_client.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensoractuator_1_1_vrpn_client-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensoractuator::VrpnClient Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe se connectant au serveur vrpn.  
 <a href="classframework_1_1sensoractuator_1_1_vrpn_client.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vrpn_client_8h_source.html">VrpnClient.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensoractuator::VrpnClient:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensoractuator_1_1_vrpn_client.png" usemap="#framework::sensoractuator::VrpnClient_map" alt=""/>
  <map id="framework::sensoractuator::VrpnClient_map" name="framework::sensoractuator::VrpnClient_map">
<area href="classframework_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="framework::core::Thread" shape="rect" coords="0,56,227,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,227,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae0ace0cc4634b89b727495a1b7ee7373"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0ace0cc4634b89b727495a1b7ee7373"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>VrpnClient</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, std::string address, int us_period, int priority)</td></tr>
<tr class="separator:ae0ace0cc4634b89b727495a1b7ee7373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48bc62c0f46905b41fef084ffd51233c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48bc62c0f46905b41fef084ffd51233c"></a>
core::GridLayout *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void)</td></tr>
<tr class="separator:a48bc62c0f46905b41fef084ffd51233c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87ffe9ea8ff13a8b9d60604f9b48672"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab87ffe9ea8ff13a8b9d60604f9b48672"></a>
core::TabWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupTab</b> (void)</td></tr>
<tr class="separator:ab87ffe9ea8ff13a8b9d60604f9b48672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a012f7f089c816b63412a8ac7cfde3b30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a012f7f089c816b63412a8ac7cfde3b30"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>UseXbee</b> (void)</td></tr>
<tr class="separator:a012f7f089c816b63412a8ac7cfde3b30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:adb20cdf1df26689dc45fa701ce4a99f8 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#adb20cdf1df26689dc45fa701ce4a99f8">Thread</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, int priority)</td></tr>
<tr class="memdesc:adb20cdf1df26689dc45fa701ce4a99f8 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adb20cdf1df26689dc45fa701ce4a99f8">More...</a><br/></td></tr>
<tr class="separator:adb20cdf1df26689dc45fa701ce4a99f8 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a> ()</td></tr>
<tr class="memdesc:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a27a72866b343b8734fd4427515d1e38f">More...</a><br/></td></tr>
<tr class="separator:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a> (void)</td></tr>
<tr class="memdesc:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#aeea6854b038e4cc558dfb8dbfc6f47fd">More...</a><br/></td></tr>
<tr class="separator:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a> (void)</td></tr>
<tr class="memdesc:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#acd61dc2aef8db4619f5d65eb0aca3d40">More...</a><br/></td></tr>
<tr class="separator:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee57d8d4b7be3bff804f689ed7619c61 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aee57d8d4b7be3bff804f689ed7619c61">ToBeStopped</a> (void)</td></tr>
<tr class="memdesc:aee57d8d4b7be3bff804f689ed7619c61 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#aee57d8d4b7be3bff804f689ed7619c61">More...</a><br/></td></tr>
<tr class="separator:aee57d8d4b7be3bff804f689ed7619c61 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a> (void)</td></tr>
<tr class="memdesc:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#a74b2dd5fda4079a47f67d89b832a02d1">More...</a><br/></td></tr>
<tr class="separator:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a7aefccd25fe4a0dd6fa76d03090b9bb2">More...</a><br/></td></tr>
<tr class="separator:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a3d7e006f50eb03f350c251ad7b0a8924">More...</a><br/></td></tr>
<tr class="separator:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5faf16660e7e13a6188523901c315e79 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a5faf16660e7e13a6188523901c315e79">WaitPeriod</a> (void)</td></tr>
<tr class="memdesc:a5faf16660e7e13a6188523901c315e79 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a5faf16660e7e13a6188523901c315e79">More...</a><br/></td></tr>
<tr class="separator:a5faf16660e7e13a6188523901c315e79 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9747144537544afaeb20b4389b92fc7c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a9747144537544afaeb20b4389b92fc7c">WaitUpdate</a> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a9747144537544afaeb20b4389b92fc7c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a9747144537544afaeb20b4389b92fc7c">More...</a><br/></td></tr>
<tr class="separator:a9747144537544afaeb20b4389b92fc7c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a> (void)</td></tr>
<tr class="memdesc:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Susepnd the thread.  <a href="#af9c6b84365e82242f6066d15b783e59c">More...</a><br/></td></tr>
<tr class="separator:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a> (void)</td></tr>
<tr class="memdesc:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#a998454819371b74a979ac4e5ba362c51">More...</a><br/></td></tr>
<tr class="separator:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4589e644fcd554ecd4db51ddd55a9744 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a4589e644fcd554ecd4db51ddd55a9744">IsSuspended</a> (void)</td></tr>
<tr class="memdesc:a4589e644fcd554ecd4db51ddd55a9744 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#a4589e644fcd554ecd4db51ddd55a9744">More...</a><br/></td></tr>
<tr class="separator:a4589e644fcd554ecd4db51ddd55a9744 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad203bf7f23baa51488c46c712c4f411b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ad203bf7f23baa51488c46c712c4f411b">SleepUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time)</td></tr>
<tr class="memdesc:ad203bf7f23baa51488c46c712c4f411b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#ad203bf7f23baa51488c46c712c4f411b">More...</a><br/></td></tr>
<tr class="separator:ad203bf7f23baa51488c46c712c4f411b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc85802579cdbf15562d1f2ab0b165c9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#afc85802579cdbf15562d1f2ab0b165c9">SleepUS</a> (uint32_t time_us)</td></tr>
<tr class="memdesc:afc85802579cdbf15562d1f2ab0b165c9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in micro second.  <a href="#afc85802579cdbf15562d1f2ab0b165c9">More...</a><br/></td></tr>
<tr class="separator:afc85802579cdbf15562d1f2ab0b165c9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a248f27a43163af66ddefacabc465a inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a56a248f27a43163af66ddefacabc465a">SleepMS</a> (uint32_t time_ms)</td></tr>
<tr class="memdesc:a56a248f27a43163af66ddefacabc465a inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a56a248f27a43163af66ddefacabc465a">More...</a><br/></td></tr>
<tr class="separator:a56a248f27a43163af66ddefacabc465a inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c0d3a6932a32e14fe0da2cb5d396c8f">More...</a><br/></td></tr>
<tr class="separator:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a> (void)</td></tr>
<tr class="memdesc:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#aa7f53a758a9fceb50c44751854929960">More...</a><br/></td></tr>
<tr class="separator:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a2374065f2e4c5fbf8878e6a29fbf16b7">More...</a><br/></td></tr>
<tr class="separator:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a> (void)</td></tr>
<tr class="memdesc:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a5c95035e30ff6514f1b419fb85448a8c">More...</a><br/></td></tr>
<tr class="separator:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ac0b037da8cdd7c40b211888442dacd3d">More...</a><br/></td></tr>
<tr class="separator:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a> (void)</td></tr>
<tr class="memdesc:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#ad7d6e338d564ee997523131d3e53efb6">More...</a><br/></td></tr>
<tr class="separator:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a8a83ff865df29be24a15e50d7382876e">More...</a><br/></td></tr>
<tr class="separator:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a777476dd40eaf5ca7733c2e1aaeb90dd">More...</a><br/></td></tr>
<tr class="separator:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#aa57e9e38dcc7f0388071eb54c2b30be4">More...</a><br/></td></tr>
<tr class="separator:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a6c6e2c6e3c7b8e5b9730a21eb175c193">More...</a><br/></td></tr>
<tr class="separator:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe se connectant au serveur vrpn. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><b>sensoractuator</b></li><li class="navelem"><a class="el" href="classframework_1_1sensoractuator_1_1_vrpn_client.html">VrpnClient</a></li>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:11 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
